allow non install/update cli scripts to fail with message if upgrade is needed for site

Bug #1739687 reported by Robert Lyon on 2017-12-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon

Bug Description

Currently if you try to run a cli, eg sync_langpacks.php, but the site is needing install/upgrade it exits out but does not give any info as to why.

Need to give an exit message

Changed in mahara:
status: New → In Progress
importance: Undecided → Medium
milestone: none → 18.04.0
assignee: nobody → Robert Lyon (robertl-9)

Reviewed: https://reviews.mahara.org/8374
Committed: https://git.mahara.org/mahara/mahara/commit/e3b16ea96d608c32e1b599b2b828da871cefa4e6
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e3b16ea96d608c32e1b599b2b828da871cefa4e6
Author: Robert Lyon <email address hidden>
Date: Fri Dec 22 12:02:25 2017 +1300

Bug 1739687: Allow non install/upgrade cli scripts to exit with message

If the site is needing install/upgrade or if the site is closed by admin

behatnotneeded

Change-Id: Ief7ebf264be7b7c3b677323f19e1468d7601d501
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2018-02-09
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2018-04-05
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers